"""
Professional error handling classes for SemanticPen SDK
Implements inheritance hierarchy for different error types
"""

from .exceptions import (
    SemanticPenError,
    AuthenticationError,
    ValidationError,
    RateLimitError,
    NetworkError,
    ApiError,
    TimeoutError,
    UnknownError,
    ErrorFactory,
)

__all__ = [
    "SemanticPenError",
    "AuthenticationError", 
    "ValidationError",
    "RateLimitError",
    "NetworkError",
    "ApiError",
    "TimeoutError",
    "UnknownError",
    "ErrorFactory",
]