"""
Core Python type definitions for SemanticPen SDK
Professional grade type definitions for article generation API
"""

from .models import (
    SemanticPenConfig,
    AuthResult,
    ArticleGenerationRequest,
    ArticleGenerationResponse,
    Article,
    ArticleStatusInfo,
    ApiError,
    RequestOptions,
    PollingConfig,
    BulkOperationResult,
)
from .enums import ArticleStatusEnum, ErrorType

__all__ = [
    # Configuration and Authentication
    "SemanticPenConfig",
    "AuthResult",
    
    # Article Generation
    "ArticleGenerationRequest", 
    "ArticleGenerationResponse",
    
    # Article Retrieval
    "Article",
    "ArticleStatusInfo",
    "ArticleStatusEnum",
    
    # Error Handling
    "ApiError",
    "ErrorType",
    
    # Utilities
    "RequestOptions",
    "PollingConfig", 
    "BulkOperationResult",
]