"""
Enumeration types for SemanticPen SDK
"""

from enum import Enum


class ArticleStatusEnum(str, Enum):
    """Article status enumeration"""
    QUEUED = "queued"
    PROCESSING = "processing" 
    FINISHED = "finished"
    FAILED = "failed"


class ErrorType(str, Enum):
    """SDK Error types enumeration"""
    AUTHENTICATION_ERROR = "AUTHENTICATION_ERROR"
    VALIDATION_ERROR = "VALIDATION_ERROR"
    RATE_LIMIT_ERROR = "RATE_LIMIT_ERROR"
    NETWORK_ERROR = "NETWORK_ERROR"
    API_ERROR = "API_ERROR"
    TIMEOUT_ERROR = "TIMEOUT_ERROR"
    UNKNOWN_ERROR = "UNKNOWN_ERROR"